Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 179422 - Defining the rails environment is not propagate to the generate action
Defining the rails environment is not propagate to the generate action
Status: VERIFIED FIXED
Product: ruby
Classification: Unclassified
Component: Rails
6.x
PC Linux
: P3 (vote)
: 6.x
Assigned To: Erno Mononen
issues@ruby
: NETFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-12 08:20 UTC by ehartmann
Modified: 2010-04-07 11:31 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Small patch (1.71 KB, text/plain)
2010-01-12 08:20 UTC, ehartmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ehartmann 2010-01-12 08:20:10 UTC
Created attachment 93225 [details]
Small patch

I'm using rails project with a specific environment on my computer.
As 'development' does not exists, every generate action report an exception with the missing config/environment/development.rb file.
I have to use the console to generate the files with something like :
$ RAILS_ENV=eric script/generate ...

A fix may be to simply add the rails environment defined in the project panel to be added to the environment of the RubyExecutionDescriptor of GenerateAction

A quick fix is attached to the bug (from the trunk version).

-éric
Comment 1 Erno Mononen 2010-01-13 01:39:00 UTC
Thanks for the patch! It seems fine, I'll integrate it to trunk soon.
Comment 2 Erno Mononen 2010-01-22 07:59:10 UTC
Patch applied in b0f4db350cab (sorry for the delay).
Comment 3 ehartmann 2010-01-22 08:07:41 UTC
Thanks Erno,

I've just tested it ant it is fine for me.
I've updated the status to verified.
Comment 4 Quality Engineering 2010-01-24 08:46:18 UTC
Integrated into 'main-golden', will be available in build *201001240200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b0f4db350cab
User: Erno Mononen <emononen@netbeans.org>
Log: #179422: Defining the rails environment is not propagate to the generate action
- thanks to ehartmann for the patch
Comment 5 Jiri Kovalsky 2010-04-07 11:31:32 UTC
Issue added to list [1] of community fixed bugs.

[1] http://wiki.netbeans.org/NetFIXIssues


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo